--- src/decode.h.orig 	Sat Jul 21 12:05:05 2007
+++ src/decode.h Sat Jul 21 12:07:57 2007
@@ -879,9 +879,9 @@
 {
     union
       {
-    uint8_t u6_addr8[16];
-    uint16_t u6_addr16[8];
-    uint32_t u6_addr32[4];
+    u_int8_t u6_addr8[16];
+    u_int16_t u6_addr16[8];
+    u_int32_t u6_addr32[4];
       } in6_u;
 #define s6_addr         in6_u.u6_addr8
 #define s6_addr16       in6_u.u6_addr16
@@ -896,13 +896,13 @@
     {
         struct _IP6HdrCtl
         {
-            uint32_t ip6_un1_flow;   /* 4 bits version, 8 bits TC,
+            u_int32_t ip6_un1_flow;   /* 4 bits version, 8 bits TC,
                                         20 bits flow-ID */
-            uint16_t ip6_un1_plen;   /* payload length */
-            uint8_t  ip6_un1_nxt;    /* next header */
-            uint8_t  ip6_un1_hlim;   /* hop limit */
+            u_int16_t ip6_un1_plen;   /* payload length */
+            u_int8_t  ip6_un1_nxt;    /* next header */
+            u_int8_t  ip6_un1_hlim;   /* hop limit */
         } IP6HdrCtl;
-        uint8_t ip6_un2_vfc;       /* 4 bits version, top 4 bits tclass */
+        u_int8_t ip6_un2_vfc;       /* 4 bits version, top 4 bits tclass */
     } IP6Ctl;
 
     struct in6_addr ip6_src;      /* source address */
@@ -919,10 +919,10 @@
 /* Fragment header */
 typedef struct _IP6Frag
 {
-    uint8_t   ip6f_nxt;     /* next header */
-    uint8_t   ip6f_reserved;    /* reserved field */
-    uint16_t  ip6f_offlg;   /* offset, reserved, and flag */
-    uint32_t  ip6f_ident;   /* identification */
+    u_int8_t   ip6f_nxt;     /* next header */
+    u_int8_t   ip6f_reserved;    /* reserved field */
+    u_int16_t  ip6f_offlg;   /* offset, reserved, and flag */
+    u_int32_t  ip6f_ident;   /* identification */
 } IP6Frag;
 
 typedef struct _IP6HdrChain{
