--- src/output-plugins/spo_alert_arubaaction.c	Sat Jul 21 12:31:14 2007
+++ src/output-plugins/spo_alert_arubaaction.c.orig	Sat Jul 21 12:31:26 2007
@@ -78,8 +78,8 @@
 typedef struct _SpoAlertArubaActionData
 {
 	char		*secret;
-	uint8_t		secret_type;
-	uint8_t		action_type;
+	u_int8_t		secret_type;
+	u_int8_t		action_type;
 	char		*role_name;
 	struct in_addr	aswitch;
 	int		fd;
@@ -91,7 +91,7 @@
 #define MAX_RESPONSE_LEN MAX_POST_LEN
 
 typedef struct _ArubaSecretType {
-	uint8_t	type;
+	u_int8_t	type;
 	char	*name;
 } ArubaSecretType;
 
@@ -154,8 +154,8 @@
 void AlertArubaActionRestartFunc(int, void *);
 void AlertArubaAction(Packet *, char *, void *, Event *);
 int ArubaSwitchConnect(SpoAlertArubaActionData *data);
-int ArubaSwitchSend(SpoAlertArubaActionData *data, uint8_t *post, int len);
-int ArubaSwitchRecv(SpoAlertArubaActionData *data, uint8_t *recv, int maxlen);
+int ArubaSwitchSend(SpoAlertArubaActionData *data, u_int8_t *post, int len);
+int ArubaSwitchRecv(SpoAlertArubaActionData *data, u_int8_t *recv, int maxlen);
 
 /*
  * Function: SetupAlertArubaAction()
@@ -413,12 +413,12 @@
 	return;
 }
 
-int ArubaSwitchSend(SpoAlertArubaActionData *data, uint8_t *post, int len)
+int ArubaSwitchSend(SpoAlertArubaActionData *data, u_int8_t *post, int len)
 {
 	return(write(data->fd, post, len));
 }
 
-int ArubaSwitchRecv(SpoAlertArubaActionData *data, uint8_t *recv, int maxlen)
+int ArubaSwitchRecv(SpoAlertArubaActionData *data, u_int8_t *recv, int maxlen)
 {
 	return(read(data->fd, recv, maxlen));
 }
